Index: XIOS/trunk/src/interface/fortran_attr/idomain_attr.F90
===================================================================
--- XIOS/trunk/src/interface/fortran_attr/idomain_attr.F90	(revision 664)
+++ XIOS/trunk/src/interface/fortran_attr/idomain_attr.F90	(revision 666)
@@ -13,7 +13,7 @@
   SUBROUTINE xios(set_domain_attr)  &
     ( domain_id, area, bounds_lat_1d, bounds_lat_2d, bounds_lon_1d, bounds_lon_2d, data_dim, data_i_index  &
-    , data_ibegin, data_j_index, data_jbegin, data_n_index, data_ni, data_nj, domain_group_ref, domain_ref  &
-    , i_index, ibegin, j_index, jbegin, latvalue_1d, latvalue_2d, long_name, lonvalue_1d, lonvalue_2d  &
-    , mask_1d, mask_2d, name, ni, ni_glo, nj, nj_glo, nvertex, standard_name, type )
+    , data_ibegin, data_j_index, data_jbegin, data_ni, data_nj, domain_group_ref, domain_ref, i_index  &
+    , ibegin, j_index, jbegin, latvalue_1d, latvalue_2d, long_name, lonvalue_1d, lonvalue_2d, mask_1d  &
+    , mask_2d, name, ni, ni_glo, nj, nj_glo, nvertex, standard_name, type )
 
     IMPLICIT NONE
@@ -30,5 +30,4 @@
       INTEGER  , OPTIONAL, INTENT(IN) :: data_j_index(:)
       INTEGER  , OPTIONAL, INTENT(IN) :: data_jbegin
-      INTEGER  , OPTIONAL, INTENT(IN) :: data_n_index
       INTEGER  , OPTIONAL, INTENT(IN) :: data_ni
       INTEGER  , OPTIONAL, INTENT(IN) :: data_nj
@@ -60,7 +59,7 @@
       CALL xios(set_domain_attr_hdl_)   &
       ( domain_hdl, area, bounds_lat_1d, bounds_lat_2d, bounds_lon_1d, bounds_lon_2d, data_dim, data_i_index  &
-      , data_ibegin, data_j_index, data_jbegin, data_n_index, data_ni, data_nj, domain_group_ref, domain_ref  &
-      , i_index, ibegin, j_index, jbegin, latvalue_1d, latvalue_2d, long_name, lonvalue_1d, lonvalue_2d  &
-      , mask_1d, mask_2d, name, ni, ni_glo, nj, nj_glo, nvertex, standard_name, type )
+      , data_ibegin, data_j_index, data_jbegin, data_ni, data_nj, domain_group_ref, domain_ref, i_index  &
+      , ibegin, j_index, jbegin, latvalue_1d, latvalue_2d, long_name, lonvalue_1d, lonvalue_2d, mask_1d  &
+      , mask_2d, name, ni, ni_glo, nj, nj_glo, nvertex, standard_name, type )
 
   END SUBROUTINE xios(set_domain_attr)
@@ -68,7 +67,7 @@
   SUBROUTINE xios(set_domain_attr_hdl)  &
     ( domain_hdl, area, bounds_lat_1d, bounds_lat_2d, bounds_lon_1d, bounds_lon_2d, data_dim, data_i_index  &
-    , data_ibegin, data_j_index, data_jbegin, data_n_index, data_ni, data_nj, domain_group_ref, domain_ref  &
-    , i_index, ibegin, j_index, jbegin, latvalue_1d, latvalue_2d, long_name, lonvalue_1d, lonvalue_2d  &
-    , mask_1d, mask_2d, name, ni, ni_glo, nj, nj_glo, nvertex, standard_name, type )
+    , data_ibegin, data_j_index, data_jbegin, data_ni, data_nj, domain_group_ref, domain_ref, i_index  &
+    , ibegin, j_index, jbegin, latvalue_1d, latvalue_2d, long_name, lonvalue_1d, lonvalue_2d, mask_1d  &
+    , mask_2d, name, ni, ni_glo, nj, nj_glo, nvertex, standard_name, type )
 
     IMPLICIT NONE
@@ -84,5 +83,4 @@
       INTEGER  , OPTIONAL, INTENT(IN) :: data_j_index(:)
       INTEGER  , OPTIONAL, INTENT(IN) :: data_jbegin
-      INTEGER  , OPTIONAL, INTENT(IN) :: data_n_index
       INTEGER  , OPTIONAL, INTENT(IN) :: data_ni
       INTEGER  , OPTIONAL, INTENT(IN) :: data_nj
@@ -113,7 +111,7 @@
       CALL xios(set_domain_attr_hdl_)  &
       ( domain_hdl, area, bounds_lat_1d, bounds_lat_2d, bounds_lon_1d, bounds_lon_2d, data_dim, data_i_index  &
-      , data_ibegin, data_j_index, data_jbegin, data_n_index, data_ni, data_nj, domain_group_ref, domain_ref  &
-      , i_index, ibegin, j_index, jbegin, latvalue_1d, latvalue_2d, long_name, lonvalue_1d, lonvalue_2d  &
-      , mask_1d, mask_2d, name, ni, ni_glo, nj, nj_glo, nvertex, standard_name, type )
+      , data_ibegin, data_j_index, data_jbegin, data_ni, data_nj, domain_group_ref, domain_ref, i_index  &
+      , ibegin, j_index, jbegin, latvalue_1d, latvalue_2d, long_name, lonvalue_1d, lonvalue_2d, mask_1d  &
+      , mask_2d, name, ni, ni_glo, nj, nj_glo, nvertex, standard_name, type )
 
   END SUBROUTINE xios(set_domain_attr_hdl)
@@ -121,8 +119,8 @@
   SUBROUTINE xios(set_domain_attr_hdl_)   &
     ( domain_hdl, area_, bounds_lat_1d_, bounds_lat_2d_, bounds_lon_1d_, bounds_lon_2d_, data_dim_  &
-    , data_i_index_, data_ibegin_, data_j_index_, data_jbegin_, data_n_index_, data_ni_, data_nj_  &
-    , domain_group_ref_, domain_ref_, i_index_, ibegin_, j_index_, jbegin_, latvalue_1d_, latvalue_2d_  &
-    , long_name_, lonvalue_1d_, lonvalue_2d_, mask_1d_, mask_2d_, name_, ni_, ni_glo_, nj_, nj_glo_  &
-    , nvertex_, standard_name_, type_ )
+    , data_i_index_, data_ibegin_, data_j_index_, data_jbegin_, data_ni_, data_nj_, domain_group_ref_  &
+    , domain_ref_, i_index_, ibegin_, j_index_, jbegin_, latvalue_1d_, latvalue_2d_, long_name_  &
+    , lonvalue_1d_, lonvalue_2d_, mask_1d_, mask_2d_, name_, ni_, ni_glo_, nj_, nj_glo_, nvertex_  &
+    , standard_name_, type_ )
 
     IMPLICIT NONE
@@ -138,5 +136,4 @@
       INTEGER  , OPTIONAL, INTENT(IN) :: data_j_index_(:)
       INTEGER  , OPTIONAL, INTENT(IN) :: data_jbegin_
-      INTEGER  , OPTIONAL, INTENT(IN) :: data_n_index_
       INTEGER  , OPTIONAL, INTENT(IN) :: data_ni_
       INTEGER  , OPTIONAL, INTENT(IN) :: data_nj_
@@ -205,8 +202,4 @@
       ENDIF
 
-      IF (PRESENT(data_n_index_)) THEN
-        CALL cxios_set_domain_data_n_index(domain_hdl%daddr, data_n_index_)
-      ENDIF
-
       IF (PRESENT(data_ni_)) THEN
         CALL cxios_set_domain_data_ni(domain_hdl%daddr, data_ni_)
@@ -309,7 +302,7 @@
   SUBROUTINE xios(get_domain_attr)  &
     ( domain_id, area, bounds_lat_1d, bounds_lat_2d, bounds_lon_1d, bounds_lon_2d, data_dim, data_i_index  &
-    , data_ibegin, data_j_index, data_jbegin, data_n_index, data_ni, data_nj, domain_group_ref, domain_ref  &
-    , i_index, ibegin, j_index, jbegin, latvalue_1d, latvalue_2d, long_name, lonvalue_1d, lonvalue_2d  &
-    , mask_1d, mask_2d, name, ni, ni_glo, nj, nj_glo, nvertex, standard_name, type )
+    , data_ibegin, data_j_index, data_jbegin, data_ni, data_nj, domain_group_ref, domain_ref, i_index  &
+    , ibegin, j_index, jbegin, latvalue_1d, latvalue_2d, long_name, lonvalue_1d, lonvalue_2d, mask_1d  &
+    , mask_2d, name, ni, ni_glo, nj, nj_glo, nvertex, standard_name, type )
 
     IMPLICIT NONE
@@ -326,5 +319,4 @@
       INTEGER  , OPTIONAL, INTENT(OUT) :: data_j_index(:)
       INTEGER  , OPTIONAL, INTENT(OUT) :: data_jbegin
-      INTEGER  , OPTIONAL, INTENT(OUT) :: data_n_index
       INTEGER  , OPTIONAL, INTENT(OUT) :: data_ni
       INTEGER  , OPTIONAL, INTENT(OUT) :: data_nj
@@ -356,7 +348,7 @@
       CALL xios(get_domain_attr_hdl_)   &
       ( domain_hdl, area, bounds_lat_1d, bounds_lat_2d, bounds_lon_1d, bounds_lon_2d, data_dim, data_i_index  &
-      , data_ibegin, data_j_index, data_jbegin, data_n_index, data_ni, data_nj, domain_group_ref, domain_ref  &
-      , i_index, ibegin, j_index, jbegin, latvalue_1d, latvalue_2d, long_name, lonvalue_1d, lonvalue_2d  &
-      , mask_1d, mask_2d, name, ni, ni_glo, nj, nj_glo, nvertex, standard_name, type )
+      , data_ibegin, data_j_index, data_jbegin, data_ni, data_nj, domain_group_ref, domain_ref, i_index  &
+      , ibegin, j_index, jbegin, latvalue_1d, latvalue_2d, long_name, lonvalue_1d, lonvalue_2d, mask_1d  &
+      , mask_2d, name, ni, ni_glo, nj, nj_glo, nvertex, standard_name, type )
 
   END SUBROUTINE xios(get_domain_attr)
@@ -364,7 +356,7 @@
   SUBROUTINE xios(get_domain_attr_hdl)  &
     ( domain_hdl, area, bounds_lat_1d, bounds_lat_2d, bounds_lon_1d, bounds_lon_2d, data_dim, data_i_index  &
-    , data_ibegin, data_j_index, data_jbegin, data_n_index, data_ni, data_nj, domain_group_ref, domain_ref  &
-    , i_index, ibegin, j_index, jbegin, latvalue_1d, latvalue_2d, long_name, lonvalue_1d, lonvalue_2d  &
-    , mask_1d, mask_2d, name, ni, ni_glo, nj, nj_glo, nvertex, standard_name, type )
+    , data_ibegin, data_j_index, data_jbegin, data_ni, data_nj, domain_group_ref, domain_ref, i_index  &
+    , ibegin, j_index, jbegin, latvalue_1d, latvalue_2d, long_name, lonvalue_1d, lonvalue_2d, mask_1d  &
+    , mask_2d, name, ni, ni_glo, nj, nj_glo, nvertex, standard_name, type )
 
     IMPLICIT NONE
@@ -380,5 +372,4 @@
       INTEGER  , OPTIONAL, INTENT(OUT) :: data_j_index(:)
       INTEGER  , OPTIONAL, INTENT(OUT) :: data_jbegin
-      INTEGER  , OPTIONAL, INTENT(OUT) :: data_n_index
       INTEGER  , OPTIONAL, INTENT(OUT) :: data_ni
       INTEGER  , OPTIONAL, INTENT(OUT) :: data_nj
@@ -409,7 +400,7 @@
       CALL xios(get_domain_attr_hdl_)  &
       ( domain_hdl, area, bounds_lat_1d, bounds_lat_2d, bounds_lon_1d, bounds_lon_2d, data_dim, data_i_index  &
-      , data_ibegin, data_j_index, data_jbegin, data_n_index, data_ni, data_nj, domain_group_ref, domain_ref  &
-      , i_index, ibegin, j_index, jbegin, latvalue_1d, latvalue_2d, long_name, lonvalue_1d, lonvalue_2d  &
-      , mask_1d, mask_2d, name, ni, ni_glo, nj, nj_glo, nvertex, standard_name, type )
+      , data_ibegin, data_j_index, data_jbegin, data_ni, data_nj, domain_group_ref, domain_ref, i_index  &
+      , ibegin, j_index, jbegin, latvalue_1d, latvalue_2d, long_name, lonvalue_1d, lonvalue_2d, mask_1d  &
+      , mask_2d, name, ni, ni_glo, nj, nj_glo, nvertex, standard_name, type )
 
   END SUBROUTINE xios(get_domain_attr_hdl)
@@ -417,8 +408,8 @@
   SUBROUTINE xios(get_domain_attr_hdl_)   &
     ( domain_hdl, area_, bounds_lat_1d_, bounds_lat_2d_, bounds_lon_1d_, bounds_lon_2d_, data_dim_  &
-    , data_i_index_, data_ibegin_, data_j_index_, data_jbegin_, data_n_index_, data_ni_, data_nj_  &
-    , domain_group_ref_, domain_ref_, i_index_, ibegin_, j_index_, jbegin_, latvalue_1d_, latvalue_2d_  &
-    , long_name_, lonvalue_1d_, lonvalue_2d_, mask_1d_, mask_2d_, name_, ni_, ni_glo_, nj_, nj_glo_  &
-    , nvertex_, standard_name_, type_ )
+    , data_i_index_, data_ibegin_, data_j_index_, data_jbegin_, data_ni_, data_nj_, domain_group_ref_  &
+    , domain_ref_, i_index_, ibegin_, j_index_, jbegin_, latvalue_1d_, latvalue_2d_, long_name_  &
+    , lonvalue_1d_, lonvalue_2d_, mask_1d_, mask_2d_, name_, ni_, ni_glo_, nj_, nj_glo_, nvertex_  &
+    , standard_name_, type_ )
 
     IMPLICIT NONE
@@ -434,5 +425,4 @@
       INTEGER  , OPTIONAL, INTENT(OUT) :: data_j_index_(:)
       INTEGER  , OPTIONAL, INTENT(OUT) :: data_jbegin_
-      INTEGER  , OPTIONAL, INTENT(OUT) :: data_n_index_
       INTEGER  , OPTIONAL, INTENT(OUT) :: data_ni_
       INTEGER  , OPTIONAL, INTENT(OUT) :: data_nj_
@@ -501,8 +491,4 @@
       ENDIF
 
-      IF (PRESENT(data_n_index_)) THEN
-        CALL cxios_get_domain_data_n_index(domain_hdl%daddr, data_n_index_)
-      ENDIF
-
       IF (PRESENT(data_ni_)) THEN
         CALL cxios_get_domain_data_ni(domain_hdl%daddr, data_ni_)
@@ -605,7 +591,7 @@
   SUBROUTINE xios(is_defined_domain_attr)  &
     ( domain_id, area, bounds_lat_1d, bounds_lat_2d, bounds_lon_1d, bounds_lon_2d, data_dim, data_i_index  &
-    , data_ibegin, data_j_index, data_jbegin, data_n_index, data_ni, data_nj, domain_group_ref, domain_ref  &
-    , i_index, ibegin, j_index, jbegin, latvalue_1d, latvalue_2d, long_name, lonvalue_1d, lonvalue_2d  &
-    , mask_1d, mask_2d, name, ni, ni_glo, nj, nj_glo, nvertex, standard_name, type )
+    , data_ibegin, data_j_index, data_jbegin, data_ni, data_nj, domain_group_ref, domain_ref, i_index  &
+    , ibegin, j_index, jbegin, latvalue_1d, latvalue_2d, long_name, lonvalue_1d, lonvalue_2d, mask_1d  &
+    , mask_2d, name, ni, ni_glo, nj, nj_glo, nvertex, standard_name, type )
 
     IMPLICIT NONE
@@ -632,6 +618,4 @@
       LOGICAL, OPTIONAL, INTENT(OUT) :: data_jbegin
       LOGICAL(KIND=C_BOOL) :: data_jbegin_tmp
-      LOGICAL, OPTIONAL, INTENT(OUT) :: data_n_index
-      LOGICAL(KIND=C_BOOL) :: data_n_index_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: data_ni
       LOGICAL(KIND=C_BOOL) :: data_ni_tmp
@@ -684,7 +668,7 @@
       CALL xios(is_defined_domain_attr_hdl_)   &
       ( domain_hdl, area, bounds_lat_1d, bounds_lat_2d, bounds_lon_1d, bounds_lon_2d, data_dim, data_i_index  &
-      , data_ibegin, data_j_index, data_jbegin, data_n_index, data_ni, data_nj, domain_group_ref, domain_ref  &
-      , i_index, ibegin, j_index, jbegin, latvalue_1d, latvalue_2d, long_name, lonvalue_1d, lonvalue_2d  &
-      , mask_1d, mask_2d, name, ni, ni_glo, nj, nj_glo, nvertex, standard_name, type )
+      , data_ibegin, data_j_index, data_jbegin, data_ni, data_nj, domain_group_ref, domain_ref, i_index  &
+      , ibegin, j_index, jbegin, latvalue_1d, latvalue_2d, long_name, lonvalue_1d, lonvalue_2d, mask_1d  &
+      , mask_2d, name, ni, ni_glo, nj, nj_glo, nvertex, standard_name, type )
 
   END SUBROUTINE xios(is_defined_domain_attr)
@@ -692,7 +676,7 @@
   SUBROUTINE xios(is_defined_domain_attr_hdl)  &
     ( domain_hdl, area, bounds_lat_1d, bounds_lat_2d, bounds_lon_1d, bounds_lon_2d, data_dim, data_i_index  &
-    , data_ibegin, data_j_index, data_jbegin, data_n_index, data_ni, data_nj, domain_group_ref, domain_ref  &
-    , i_index, ibegin, j_index, jbegin, latvalue_1d, latvalue_2d, long_name, lonvalue_1d, lonvalue_2d  &
-    , mask_1d, mask_2d, name, ni, ni_glo, nj, nj_glo, nvertex, standard_name, type )
+    , data_ibegin, data_j_index, data_jbegin, data_ni, data_nj, domain_group_ref, domain_ref, i_index  &
+    , ibegin, j_index, jbegin, latvalue_1d, latvalue_2d, long_name, lonvalue_1d, lonvalue_2d, mask_1d  &
+    , mask_2d, name, ni, ni_glo, nj, nj_glo, nvertex, standard_name, type )
 
     IMPLICIT NONE
@@ -718,6 +702,4 @@
       LOGICAL, OPTIONAL, INTENT(OUT) :: data_jbegin
       LOGICAL(KIND=C_BOOL) :: data_jbegin_tmp
-      LOGICAL, OPTIONAL, INTENT(OUT) :: data_n_index
-      LOGICAL(KIND=C_BOOL) :: data_n_index_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: data_ni
       LOGICAL(KIND=C_BOOL) :: data_ni_tmp
@@ -769,7 +751,7 @@
       CALL xios(is_defined_domain_attr_hdl_)  &
       ( domain_hdl, area, bounds_lat_1d, bounds_lat_2d, bounds_lon_1d, bounds_lon_2d, data_dim, data_i_index  &
-      , data_ibegin, data_j_index, data_jbegin, data_n_index, data_ni, data_nj, domain_group_ref, domain_ref  &
-      , i_index, ibegin, j_index, jbegin, latvalue_1d, latvalue_2d, long_name, lonvalue_1d, lonvalue_2d  &
-      , mask_1d, mask_2d, name, ni, ni_glo, nj, nj_glo, nvertex, standard_name, type )
+      , data_ibegin, data_j_index, data_jbegin, data_ni, data_nj, domain_group_ref, domain_ref, i_index  &
+      , ibegin, j_index, jbegin, latvalue_1d, latvalue_2d, long_name, lonvalue_1d, lonvalue_2d, mask_1d  &
+      , mask_2d, name, ni, ni_glo, nj, nj_glo, nvertex, standard_name, type )
 
   END SUBROUTINE xios(is_defined_domain_attr_hdl)
@@ -777,8 +759,8 @@
   SUBROUTINE xios(is_defined_domain_attr_hdl_)   &
     ( domain_hdl, area_, bounds_lat_1d_, bounds_lat_2d_, bounds_lon_1d_, bounds_lon_2d_, data_dim_  &
-    , data_i_index_, data_ibegin_, data_j_index_, data_jbegin_, data_n_index_, data_ni_, data_nj_  &
-    , domain_group_ref_, domain_ref_, i_index_, ibegin_, j_index_, jbegin_, latvalue_1d_, latvalue_2d_  &
-    , long_name_, lonvalue_1d_, lonvalue_2d_, mask_1d_, mask_2d_, name_, ni_, ni_glo_, nj_, nj_glo_  &
-    , nvertex_, standard_name_, type_ )
+    , data_i_index_, data_ibegin_, data_j_index_, data_jbegin_, data_ni_, data_nj_, domain_group_ref_  &
+    , domain_ref_, i_index_, ibegin_, j_index_, jbegin_, latvalue_1d_, latvalue_2d_, long_name_  &
+    , lonvalue_1d_, lonvalue_2d_, mask_1d_, mask_2d_, name_, ni_, ni_glo_, nj_, nj_glo_, nvertex_  &
+    , standard_name_, type_ )
 
     IMPLICIT NONE
@@ -804,6 +786,4 @@
       LOGICAL, OPTIONAL, INTENT(OUT) :: data_jbegin_
       LOGICAL(KIND=C_BOOL) :: data_jbegin__tmp
-      LOGICAL, OPTIONAL, INTENT(OUT) :: data_n_index_
-      LOGICAL(KIND=C_BOOL) :: data_n_index__tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: data_ni_
       LOGICAL(KIND=C_BOOL) :: data_ni__tmp
@@ -903,9 +883,4 @@
       ENDIF
 
-      IF (PRESENT(data_n_index_)) THEN
-        data_n_index__tmp = cxios_is_defined_domain_data_n_index(domain_hdl%daddr)
-        data_n_index_ = data_n_index__tmp
-      ENDIF
-
       IF (PRESENT(data_ni_)) THEN
         data_ni__tmp = cxios_is_defined_domain_data_ni(domain_hdl%daddr)
